Crystal Space: csEventTimer Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEventTimer Class Reference

This class implements a timer. More...

`#include <csutil/timer.h>`

Inheritance diagram for csEventTimer:

[legend]
List of all members.

## Public Member Functions
virtual void | AddTimerEvent (iTimerEvent *ev, csTicks delay)
| Add a timer event to be scheduled later.
virtual size_t | GetEventCount () const
| Query the number of events still in the queue.
virtual csTicks | GetTimeLeft (size_t idx) const
| Query the number of ticks before the specified event fires.
virtual void | RemoveAllTimerEvents ()
| Clear all timer events.
virtual void | RemoveTimerEvent (iTimerEvent *ev)
| Remove a timer event.
## Static Public Member Functions
static csPtr< iEventTimer > | GetStandardTimer (iObjectRegistry *object_reg)
| This is a static method to easily get the standard global timer (name 'crystalspace.timer.standard' in the object registry).

## Detailed Description

This class implements a timer.

You can add operations to it and they will be performed at the dedicated time.

Definition at line 44 of file timer.h.

## Member Function Documentation

virtual void csEventTimer::AddTimerEvent | ( | iTimerEvent * | ev,
|  | csTicks | delay |
| ) |  |  | `[virtual]`

Add a timer event to be scheduled later.

Implements iEventTimer.

virtual size_t csEventTimer::GetEventCount | ( |  | ) | const`[inline, virtual]`

Query the number of events still in the queue.

Implements iEventTimer.

Definition at line 72 of file timer.h.

static csPtr<iEventTimer> csEventTimer::GetStandardTimer | ( | iObjectRegistry * | object_reg | ) | `[static]`

This is a static method to easily get the standard global timer (name 'crystalspace.timer.standard' in the object registry).

If that timer doesn't exist yet it will be created.

virtual csTicks csEventTimer::GetTimeLeft | ( | size_t | idx | ) | const`[virtual]`

Query the number of ticks before the specified event fires.

Implements iEventTimer.

virtual void csEventTimer::RemoveAllTimerEvents | ( |  | ) | `[virtual]`

Clear all timer events.

Implements iEventTimer.

virtual void csEventTimer::RemoveTimerEvent | ( | iTimerEvent * | ev | ) | `[virtual]`

Remove a timer event.

Implements iEventTimer.

The documentation for this class was generated from the following file:

- csutil/timer.h